Subject: Re: bug#50953: auth-source-pass should not be limited to a local directory

From: Lorenzo Martinico <[email-masked]>
Date: Mon, 04 Oct 2021 21:53:24 +0100

The pass command is the command to invoke password-store, "the 
UNIX
password manager" (passwordstore.org), which is what 
auth-source-pass
purports to use.
On my system, this is an alias for a process that fetches
passwords from another host in a compatible way to password store. 
The
vault host is not accessible through ssh, so I
can't just change the gpg file location as suggested.

Lars Ingebrigtsen <[email-masked]> writes:

> Lorenzo Martinico <[email-masked]> writes:
>
>> Apologies if this is not the appropriate mailing list for this 
>> message.
>> I would like to put in a bug report / feature request for
>> auth-source-pass to stop using the local file directory and 
>> just rely on
>> the output of the pass command (or provide an option to do that
>> instead).
>
> What's the "pass" command?
>
> larsi@elva:~/src/emacs/trunk$ type pass
> bash: type: pass: not found
>
>> For context, I would like to be able to use the pass command 
>> (or rather,
>>  an alias) to fetch files from a different host on every 
>>  request, but
>>  not store the gpg files on my local machine.
>
> Can't you just set the gpg file location to 
> "/ssh:other-host:.authinfo.gpg"?